"""
2006. február: Telefonszámla
@author Klemand66
"""

print("\n1. feladat\n")

def mobil_e(tsz):
    a=tsz[:2]
    return  a=="39" or a=="41" or a=="71"

tszam=input("Kérek egy telefonszámot: ")
tszam=tszam.strip()

if mobil_e(tszam):
    print(f'A megadott {tszam} szám mobilszám.')
else:
    print(f'A megadott {tszam} szám nem mobilszám.')


print("\n2. feladat\n")

def szperc(ki,vi):
    bi=vi-ki # a beszélgetési idő mp-ben
    bperc=bi//60
    bmp=bi%60
    if bmp>0:
        bperc+=1
    return bperc

kezdet=input("Kérem egy hívás kezdetét óra perc másodperc formában: ")
kezdet=kezdet.strip().split()
kora=int(kezdet[0])
kperc=int(kezdet[1])
kmp=int(kezdet[2])
kido=3600*kora+60*kperc+kmp
    
veg=input("Kérem egy hívás végét óra perc másodperc formában: ")
veg=veg.strip().split()
vora=int(veg[0])
vperc=int(veg[1])
vmp=int(veg[2])
vido=3600*vora+60*vperc+vmp
    
print(f'A beszélgetés számlázás szempontjából {szperc(kido,vido):2} perces.')


print("\n3. feladat\n")

betxt = open("hivasok.txt")

korak=[] # a csúcsidőhöz csak ez kell
kidok=[]
vidok=[]
tszamok=[]

for sor in betxt:
    darsor=sor.strip().split()
    kora=int(darsor[0])
    korak.append(kora)
    kperc=int(darsor[1])
    kmp=int(darsor[2])
    kido=3600*kora+60*kperc+kmp
    kidok.append(kido)
    vora=int(darsor[3])
    vperc=int(darsor[4])
    vmp=int(darsor[5])
    vido=3600*vora+60*vperc+vmp
    vidok.append(vido)
    sor = next(betxt)
    tszam=sor.strip()
    tszamok.append(tszam)    
    
betxt.close()

kitxt = open("percek.txt","w")

for i in range(len(kidok)):
    kitxt.write(f'{szperc(kidok[i],vidok[i]):2} {tszamok[i]}\n')

kitxt.close()
print("A kiíratás és a szövegfájl lezárása sikeresen befejeződött.")


print("\n4. feladat\n")

def csucsido_e(ko):
    return ko>=7 and ko<18

csi=0
csik=0

for kora in korak:
    if csucsido_e(kora):
        csi+=1
    else:
        csik+=1

print(f'{csi} db hívás történt csúcsidőben és {csik} db csúcsidőn kívül.')


print("\n5. feladat\n")

mperc=0
vperc=0

for i,tsz in enumerate(tszamok):
    szp=szperc(kidok[i],vidok[i])
    if mobil_e(tsz):
        mperc+=szp
    else:
        vperc+=szp
        
print(f'Mobilszámmal {mperc} percet, vezetékessel {vperc} percet beszélt.')


print("\n6. feladat\n")

csdij=0

for i,kora in enumerate(korak):
    if csucsido_e(kora):
        if mobil_e(tszamok[i]):
            csdij+=69.175*szperc(kidok[i],vidok[i])
        else:
            csdij+=30*szperc(kidok[i],vidok[i])
        
print(f'A csúcsdíjas hívásokért {csdij:.0f} Ft-ot kell fizetnie.\n')


input("A befejezéshez nyomd meg az ENTER billentyűt!")
